# class Chef::ReservedNames::Win32::API::File::REPARSE_DATA_BUFFER

### Public Instance Methods

reparse_buffer() click to toggle source

    # File lib/chef/win32/api/file.rb, line 339
    def reparse_buffer
      if self[:ReparseTag] == IO_REPARSE_TAG_SYMLINK
        self[:ReparseBuffer][:SymbolicLinkReparseBuffer]
      elsif self[:ReparseTag] == IO_REPARSE_TAG_MOUNT_POINT
        self[:ReparseBuffer][:MountPointReparseBuffer]
      else
        self[:ReparseBuffer][:GenericReparseBuffer]
      end
    end